Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002611 [JEDI VCL] 00 JVCL Components major always 2005-02-09 05:33 2005-02-21 13:50
Reporter westphal View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002611: jvAppStorage do not reload saved stringlist in registry and perhaps the others
Description function TJvCustomAppStorage.ReadStringList call the wrong function i think:


actually (line 1956 of JvAppStorage):
if not ValueStoredInt(Path) and StorageOptions.DefaultIfValueNotExists then

should be and is working:
if not ListStoredInt(Path) and StorageOptions.DefaultIfValueNotExists then
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0002612resolvedjfudickar App Storage breaks again 

-  Notes
(0006475)
remkobonte (developer)
2005-02-12 18:07

Another related issue:

var
  S: string;
  SS: TStringList;
begin
  with TJvAppXMLFileStorage.Create(nil) do
  try
    FileName := 'temp.xml';
    Path := '\path1';
    SS := TStringList.Create;
    try
      SS.Add('Item0');
      WriteStringList('path2', SS);
      SS.Clear;
      ReadStringList('path2', SS);
      ShowMessage(IntToStr(SS.Count));
      // Exp: SS.Count = 1
      // Act: SS.Count = 0
      S := ReadString('\path1\path2\Item0');
      ShowMessage(S);
      // Exp: S = 'Item0'
      // Act: S = '';
      S := ReadString('\path1\path1\path2\Item0');
      ShowMessage(S);
      // Exp: S = ''
      // Act: S = 'Item0';
    finally
      SS.Free;
    end;
  finally
    Free;
  end;
end;
(0006499)
jfudickar (developer)
2005-02-15 16:43

Both problems fixed in CVS, please try it and give me feedback
(0006508)
remkobonte (developer)
2005-02-16 12:43

Yup, works now. Thanks!

- Issue History
Date Modified Username Field Change
2005-02-09 05:33 westphal New Issue
2005-02-09 08:59 jfudickar Relationship added related to 0002612
2005-02-09 09:00 jfudickar Issue Monitored: jfudickar
2005-02-09 09:00 jfudickar Status new => assigned
2005-02-09 09:00 jfudickar Assigned To => jfudickar
2005-02-11 05:42 ahesse Note Added: 0006456
2005-02-11 06:04 ahesse Note Deleted: 0006456
2005-02-12 18:07 remkobonte Note Added: 0006475
2005-02-15 16:43 jfudickar Note Added: 0006499
2005-02-15 16:43 jfudickar Status assigned => feedback
2005-02-16 12:43 remkobonte Note Added: 0006508
2005-02-21 13:50 jfudickar Status feedback => resolved
2005-02-21 13:50 jfudickar Fixed in Version => 3.00
2005-02-21 13:50 jfudickar Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker